Subject: Re: [PATCH net-next 2/2] selftests: drv-net: fix RPS mask handling for high CPU numbers

From: Willem de Bruijn <[email-masked]>
Date: Mon, 12 Jan 2026 11:06:12 -0500

Gal Pressman wrote:
> On 12/01/2026 5:29, Willem de Bruijn wrote:
> > Gal Pressman wrote:
> >> The RPS bitmask bounds check uses ~(RPS_MAX_CPUS - 1) which equals ~15 =
> >> 0xfff0, only allowing CPUs 0-3.
> >>
> >> Change the mask to ~((1UL << RPS_MAX_CPUS) - 1) = ~0xffff to allow CPUs
> >> 0-15.
> >>
> >> Fixes: 5ebfb4cc3048 ("selftests/net: toeplitz test")
> >> Reviewed-by: Nimrod Oren <[email-masked]>
> >> Signed-off-by: Gal Pressman <[email-masked]>
> > 
> > Should go to net instead of net-next?
> > 
> > Reviewed-by: Willem de Bruijn <[email-masked]> 
> 
> I usually send tests bug fixes to net-next, since it doesn't fix a bug
> in the kernel.
> 
> Should I send those to net instead?

I'm not aware of a separate policy for tests. Not sure if maintainers
have a preference. Probably behavior on this is a bit inconsistent
anyway.